# psp-prxgen.c File Reference

`#include <stdio.h>`
`#include <getopt.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <assert.h>`
`#include <ctype.h>`
`#include "types.h"`
`#include "elftypes.h"`
`#include "prxtypes.h"`

Include dependency graph for psp-prxgen.c:

## Functions

int | process_args (int argc, char **argv)
void | print_help (void)
unsigned char * | load_file (const char *file)
int | validate_header (unsigned char *data)
int | load_sections (unsigned char *data)
void | reindex_sections (void)
int | load_elf (const char *elf)
int | calculate_outsize (void)
void | output_header (unsigned char *data)
void | output_ph (unsigned char *data)
void | output_alloc (unsigned char *data)
void | output_sh (unsigned char *data)
void | output_relocs (unsigned char *data)
void | output_shstrtab (unsigned char *data)
int | output_prx (const char *prxfile)
void | free_data (void)
int | main (int argc, char **argv)

## Function Documentation

int calculate_outsize | ( | void |  | ) |

void free_data | ( | void |  | ) |

int load_elf | ( | const char * | elf | ) |

unsigned char* load_file | ( | const char * | file | ) |

int load_sections | ( | unsigned char * | data | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |

void output_alloc | ( | unsigned char * | data | ) |

void output_header | ( | unsigned char * | data | ) |

void output_ph | ( | unsigned char * | data | ) |

int output_prx | ( | const char * | prxfile | ) |

void output_relocs | ( | unsigned char * | data | ) |

void output_sh | ( | unsigned char * | data | ) |

void output_shstrtab | ( | unsigned char * | data | ) |

void print_help | ( | void |  | ) |

int process_args | ( | int | argc,
|  | char ** | argv
| ) |

void reindex_sections | ( | void |  | ) |

int validate_header | ( | unsigned char * | data | ) |